<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\SMTP;

require 'mylibs/PHPMailer/src/Exception.php';
require 'mylibs/PHPMailer/src/PHPMailer.php';
require 'mylibs/PHPMailer/src/SMTP.php';

# ------------------ Ini Adicional en esta Interfase -------------------#
$sala    = (isset($_GET['sala']) ? $_GET['sala'] : 0) ;
$cliente = (isset($_GET['cliente']) ? trim($_GET['cliente']) : '');
$portal  = $cliente;
$mailOK  = false;
# ------------------ Fin Adicional en esta Interfase -------------------#

if($cliente != "" && $sala!=""){

    require_once('mylibs/acceso.php');
    require_once('mylibs/conexion.php'); 
    require_once('mylibs/iniciosesion.php');

    $SQL     = "SELECT s.nombre,s.horaini,s.horafin,s.showlve,s.mail,s.showmnda,e.nombre as empresa FROM salas s, empresa e WHERE  e.idempresa=s.idempresa AND s.idsala =".$sala;
    $rsDocs  = mysqli_query($KASSIUSS,$SQL) or die(mysqli_error($KASSIUSS));
    $reg     = mysqli_fetch_array($rsDocs, MYSQLI_ASSOC);
    $mails   = trim($reg['mail']);
    $empresa = $reg['empresa'];
    $horaini = $reg['horaini'];
    $name    = $reg['nombre'];
    mysqli_free_result($rsDocs);  
    
    $dif1Day            = ($horaini=="00:00:00" ? 0 : 1);
    $isInforme1Dia      = false;     
    $send               = true;
    $table              = "";
    $hayft              = false;
    $alertabruto        = false;
    $inpoutalto         = false;
    $contafinmenor      = false;
    $haycontadorfinmenor= false;
    $netonegativoalto   = false;
    $haynetonegativoalto= false;
    $ab                 = false;
    $caja               = "";
    $table              = "";
    $correoAutomatico   = true;
    $maquinassindatos   = 0; 
    $estado             = 0;
    $hayAlerta          = false;
    $fchaEnvio          = date('Y-m-d H:i:s');
    
    $wherei      = "AND b.sala = ".$sala." ";
    $where       = "AND b.sala = ".$sala." ";
    
    #Se envia correo desde Kassiuss Cliente o EnvioMails IniDia
    if (isset($_GET['fecha'])){
        
        #Se envia correo desde aplicativo EnvioMails IniDia
        if(isset($_GET['noautomatico'])) $correoAutomatico = false;

    	$fcha = $_GET['fecha'];
    	$hora = substr($fcha,11,8);
    	if($hora < $horaini) $iniConteo = date('Y-m-d', strtotime("$fcha - 1 days"));
    	else $iniConteo = date('Y-m-d',strtotime($fcha));
    
    	$fcha = substr($iniConteo,8,2)."-".GetShortMonth(substr($iniConteo,5,2))."-".substr($iniConteo,0,4);
    	
    	$SQL = "SELECT * FROM mailsend WHERE dia ='".$iniConteo."' AND idsala=".$sala;
    	$rs6 = mysqli_query($KASSIUSS,$SQL) or die(mysqli_error($KASSIUSS));
    	if(isset($rs6) && $rs6)  if(mysqli_num_rows($rs6)>0) $send=false;
    	mysqli_free_result($rs6);
    	
    	GetAperturaCierreCaja($sala,$caja,$iniConteo,$iniConteo);
        
        ValidacionesNewYear($iniConteo,$horaini,$horafin,$sala);
    
        VerificarContadores2($iniConteo,$finConteo,$sala);
    	$table = "contadores2";
    
    #Se envia correo desde Portal Kassiuss
    } elseif(isset($_GET['ini']) && isset($_GET['fin'])){
        
        $correoAutomatico   = false;
        
    	#Fecha para Consultas
    	$fchini = substr($_GET['ini'],7,4).'-'.GetNumMonth(substr($_GET['ini'],3,3)).'-'.substr($_GET['ini'],0,2);
    	$fchfin = substr($_GET['fin'],7,4).'-'.GetNumMonth(substr($_GET['fin'],3,3)).'-'.substr($_GET['fin'],0,2);	   
    	
    	GetAperturaCierreCaja($sala,$caja,$fchini,$fchfin);
    
    	$fcha = $_GET['ini'].($_GET['ini'] !=  $_GET['fin'] ? ' a ' . $_GET['fin'] : '');
    	
    }
    
    if($table==""){
    	$hora = substr($hoy,11,8); 
        if($hora < $horaini) $hoy = date('Y-m-d', strtotime("$hoy - 1 days")).' '.$horaini;
    	else $hoy =  substr($hoy,0,10).' '.$horaini;	
    	$table = ($hoy == $iniConteo ? "contadores" : "contadores2");
    }
    
    $totalRegs = 0; $dias=0;
    $dia       = date('Y-m-d',strtotime($iniConteo));
    if($send){
    
        ObtenerZonas($sala);
        GetContadoresPesosXYear($table);
        
        $SQL = "SELECT   SUM(inpi) AS inpi,SUM(inpf) AS inpf,SUM(outi) AS outi,SUM(outf) AS outf,SUM(jcki) AS jcki,SUM(jckf) AS jckf,SUM(prmi) AS prmi,SUM(prmf) AS prmf,SUM(hpayi) AS hpayi,".
        			 	"SUM(blli) AS blli,SUM(bllf) AS bllf,SUM(ptai) AS ptai,SUM(ptaf) AS ptaf,SUM(gmsi) AS gmsi,SUM(gmsf) AS gmsf,SUM(pwri) AS pwri,SUM(pwrf) AS pwrf,SUM(hpayf) AS hpayf,".
        			 	"SUM(ainpi) AS ainpi,SUM(ainpf) AS ainpf,SUM(aouti) AS aouti,SUM(aoutf) AS aoutf,SUM(vinpi) AS vinpi,SUM(vinpf) AS vinpf,SUM(vouti) AS vouti,SUM(voutf) AS voutf,".
        				"b.denominacion,b.serie,IF(b.sala<>m.sala,SUM(b.nummaq),m.nummaq) AS nummaq,MID(evto,1,2) AS ft,IF(b.sala<>m.sala,0,m.nummaq) AS nm,evto,".
        				"CONCAT('[',IF(b.sala<>m.sala,SUM(b.nummaq),m.nummaq),'] ',b.serie) AS maquina,m.alarmapesca,m.monedero, ma.nombre AS marca,mo.nombre AS modelo,m.online,m.enproduccion,
        				j.juego,s.abreviatura,s.nombre AS salaname,s.idcoljuegos AS codlocal,MAX(fchi) AS fchi,MAX(fchf) AS fchf,b.sala,m.serialmqna,m.idcoljuegos AS nuc,m.iud,m.tito,m.aft ".$nzona.
        		"FROM  (".
        				 " ".$SQL2." UNION ".
        				 " ".$SQL1." ) AS b, maquinas m".$fzona.", marcas_mqn ma, modelos_mqn mo,juegos j,salas s ".
        		"WHERE  m.serie=b.serie AND m.modelomq=mo.idmodelo AND mo.marcamq = ma.idmarca AND m.idjuego=j.idjuego and b.sala=s.idsala ".$where.
        		"GROUP BY ".$groupsala."serie,evto ".
        		"HAVING  ((ft='FT' and (inpi<>inpf or outi<>outf or blli<>bllf or prmi<>prmf or jcki<>jckf or hpayi<>hpayf or vinpi<>vinpf or ainpi<>ainpf) ) or (ft<>'FT')) ".
        		"ORDER BY ".$ozona."nm,serie,fchi,evto";  
    
        $rsDocs = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Contadores] ".mysqli_error($KASSIUSS));
    
        if(isset($rsDocs) && $rsDocs) $totalRegs = mysqli_num_rows($rsDocs);
        
        $dias	       = abs((strtotime(date('Y-m-d',strtotime($iniConteo)))-strtotime(date('Y-m-d',strtotime($finConteo))))/86400);
        $isInforme1Dia = ($dias == $dif1Day ? true : false);
    
        $style ='
        <head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    		<style type="text/css">
    			table               { border-collapse: collapse; font-family: Roboto,RobotoDraft,Helvetica,Arial,sans-serif; color: #777;}
    			tr                  { height: 30px; vertical-align: middle; } 
    			td, th              { border: 1px solid #ddd; padding-left: 2px; padding-right: 2px; }
    			thead tr            { height: 45px; font-weight: bold; text-align: center; }
    			span                { color:  #000000; }
    			a                   { color:  #000000 !important; }
                p                   { font-weight: bold; font-family: Roboto,RobotoDraft,Helvetica,Arial,sans-serif; color:  #000000; font-size: small;}
                
    			.thead th           { border-bottom: 4px solid #000000; color: #000000;}
    			.tfoot th           { height: 35px; color:  #000000;  }
    	  		.odd  td            { background-color: #f8f8f8;}
                .title span         { background-color: #383f48; color: #fff; padding: 4px 8px;  }
                .title2 span        { background-color: #d2322d; color: #fff; padding: 4px 8px;  }
                .txl                { text-align: left; }
                .txr                { text-align: right; }
                .txc                { text-align: center; }
                .txdn               { color: #f10700  !important; }
                .txdr               { color: #000000; }
                .txsc               { color: #47A447; }
                .txwn               { color: #ed9c28; }
    
                .totales-caja td    { border-left:  none; border-right:  none;}
                .bdl                { border-left: 1px solid #ddd  !important; }
                .bdr                { border-right: 1px solid #ddd !important; }
    
                .gr td              { background-color: #ddd !important; font-weight: bold; color:  #000; height: 30px; }
    	  	</style> 
        </head>';
        
        #Inicia escritura tabla 
        $thead = '
        <thead>
        	<tr class="thead">
        		<th>&nbsp;Id Mqna&nbsp;</th>
        		<th>&nbsp;Marca&nbsp;</th>
        		<th>&nbsp;Input&nbsp;</th>
        		<th>&nbsp;Output&nbsp;</th>
        		<th>&nbsp;Jackpot&nbsp;</th>
        		<th>&nbsp;Pagos&nbsp;</th>
        		<th>&nbsp;Ingresos&nbsp;</th>
        		<th>&nbsp;Bruto&nbsp;</th>
        	    <th>&nbsp;Neto&nbsp;</th>
        		<th>&nbsp;Games&nbsp;</th>
        		<th>&nbsp;Ptje&nbsp;</th>
        		<th>&nbsp;Pta&nbsp;</th>
        		<th>&nbsp;Pwr&nbsp;</th>
        	    <th>&nbsp;Colj&nbsp;</th>	    
        	</tr>
        </thead>';
    
        $fila=0; $contaRegs=0;   $pdfConteo=""; $pdfContadores =""; 
        $hayNoProduccion = false;
        
        #Generación Informe
        if($totalRegs>0) {
            
            $nameZona="";   $lastZona = ""; $tr = ""; $trpdf = ""; $tbody = ""; $tcaja = "";
        	$fila=1;  $i=0; $ft=false; $nm = -1; $gto=0; $xzona = true; $z = 0;  
        	
        	$billeteZona = 0; $brutoZona = 0; $premioZona = 0; $jackpotZona = 0; $netoZona = 0; $inputZona = 0; $outputZona = 0; 
        	$aftinpZona =0; $aftoutZona=0;  $vchinpZona=0;  $vchoutZona=0;  $ingresosZona=0;    $pagosZona=0; #Totales por zona	
        	$TotalI=0;      $TotalO=0;      $TotalJ=0;      $TotalBl=0;     $TotalPr=0;         $TotalM=0; $TotalB=0; $TotalN=0; #Totales generales
        	$TotalAI = 0;   $TotalTI = 0;   $TotalAO = 0;   $TotalTO = 0;   $TotalIN = 0;       $TotalPG = 0;
        	
        	while (($item = mysqli_fetch_array($rsDocs, MYSQLI_ASSOC))) {
        	    
        	    $i=$i+1;
                
            	$input=0; $output=0; $jackpot=0; $premio=0; $handpay=0; $billete=0; $aftinp=0; $vchinp=0; $aftout=0; $vchout=0; $bruto=0; $neto=0; $puerta=0; $power=0; $games=0; #Totales x maquina
        		$difbrutobil = 0;
        		
        		if($item["enproduccion"] == 0 && $item['online'] == 1) $hayNoProduccion = true;
        		$monedero = ($item['monedero']==1?true:false);
        		$colj     = ($item['online']==1?true:false);
        		$inpi     = $item['inpi']; $outi=$item['outi']; $jcki=$item['jcki']; $blli=$item['blli']; $ainpi=$item['ainpi']; $vinpi=$item['vinpi']; $aouti=$item['aouti']; $vouti=$item['vouti'];
        		$prmi     = $item['prmi']; 	$hpyi = $item['hpayi'];
        		$ptai     = $item['ptai']; $pwri=$item['pwri']; $gmsi=$item['gmsi'];
        		$fchi  = $item['fchi']; $fchf  = $item['fchf'];
                $nameZona = ($item['nm'] == 0 ?  "-RETIRADAS" : (isset($item['namezona']) ? $item['namezona'] : ($nameZona == "-RETIRADAS" || $nameZona == "EN SALA" ? "EN SALA" : $nameZona ) ) );
                
                $row = ($fila % 2 == 0 ? "" : "odd");
                
        		$ficha=false;
        		#Verifico si hay Fichas Tecnicas para la maquina actual
        		do{
        			if($i<$totalRegs){
        				if (mysqli_data_seek($rsDocs, $i)) {
        				
        					if ($itemF = mysqli_fetch_array($rsDocs, MYSQLI_ASSOC)){
        
        						if($item['serie'] === $itemF['serie'] ){
        
        							$ft=true;   $i=$i+1; $ficha=true; $hayft=true;
        							$fchf=$itemF['fchi'];
        							
        						    #Si el registro de FT es superior al registro inicial actual. El contador final es el inicio de la FT
        							if($fchi<=$fchf){
        							
        								//CONTADORES FINALES REGISTRO INICIAL DE FICHA TECNICA
        								$inpf=$itemF['inpi'];   $outf=$itemF['outi'];   $jckf=$itemF['jcki'];   $prmf = $itemF['prmi'];  $hpyf = $itemF['hpayi']; 
        								$bllf=$itemF['blli'];   $ptaf=$itemF['ptai'];   $pwrf= $itemF['pwri'];  $ainpf=$itemF['ainpi'];  $vinpf=$itemF['vinpi'];  
        								$ainpf=$itemF['ainpi']; $vinpf=$itemF['vinpi']; $aoutf=$itemF['aouti']; $voutf=$itemF['vouti'];  $gmsf= $itemF['gmsi'];
        								
        								$input    = $input   + DiferenciaContador($inpf,$inpi);
        								$output   = $output  + DiferenciaContador($outf,$outi);
        								$jackpot  = $jackpot + DiferenciaContador($jckf,$jcki);
        								$premio   = $premio  + DiferenciaContador($prmf,$prmi);
        								$handpay  = $handpay  + DiferenciaContador($hpyf,$hpyi);
        								$billete  = $billete + DiferenciaContador($bllf,$blli);
        								$aftinp   = $aftinp  + DiferenciaContador($ainpf,$ainpi);
        								$vchinp   = $vchinp  + DiferenciaContador($vinpf,$vinpi);
                						$aftout   = $aftout  + DiferenciaContador($aoutf,$aouti);
                						$vchout   = $vchout  + DiferenciaContador($voutf,$vouti);		
                						$puerta   = $puerta  + DiferenciaContador($ptaf,$ptai);
                						$power    = $power   + DiferenciaContador($pwrf,$pwri);
                						$games    = $games   + DiferenciaContador($gmsf,$gmsi);	        						
        
        								//CONTADORES INICIALES REGISTRO FINAL DE FICHA TECNICA
        								$inpi=$itemF['inpf']; $outi=$itemF['outf'];   $jcki=$itemF['jckf'];   $prmi = $itemF['prmf']; $hpyi = $itemF['hpayf'];  
        								$blli=$itemF['bllf']; $ptai=$itemF['ptaf'];   $pwri=$itemF['pwrf'];   $ainpi=$itemF['ainpf']; $vinpi=$itemF['vinpf']; 
        								$fchi=$itemF['fchf']; $aouti=$itemF['aoutf']; $vouti=$itemF['voutf']; $gmsi= $itemF['gmsf'];
        							}
        							
        						}else{
        							
        							$result=mysqli_data_seek($rsDocs, $i);
        							$ficha=false;
        						}
        					}
        				}
        			}else {	$ficha=false; }
        			
        		}while($ficha==true);		
        						
        		#Contadores finales de registro original
        		$inpf=$item['inpf'];   $outf=$item['outf'];   $jckf=$item['jckf'];  $prmf = $item['prmf']; 	$hpyf = $item['hpayf']; 
        		$bllf=$item['bllf'];   $ptaf=$item['ptaf'];   $pwrf=$item['pwrf'];  $ainpf=$item['ainpf']; $vinpf=$item['vinpf'];  $gmsf= $item['gmsf'];
        		$aoutf=$item['aoutf']; $voutf=$item['voutf']; $fchf=$item['fchf'];
        
        		//CONTADORES FINALES SON NULOS E INICIALES NO, BUSCO ULTMOS NO NULOS
        
        		#Si el registro final es superior al registro actual. El cotador inicial puede venir de una FT
        		if($fchi<=$fchf){
        			$input    = $input    + DiferenciaContador($inpf,$inpi);
        			$output   = $output   + DiferenciaContador($outf,$outi);
        			$jackpot  = $jackpot  + DiferenciaContador($jckf,$jcki);
        			$premio   = $premio   + DiferenciaContador($prmf,$prmi);
                    $handpay  = $handpay  + DiferenciaContador($hpyf,$hpyi);
        			$billete  = $billete  + DiferenciaContador($bllf,$blli);
        			$aftinp   = $aftinp   + DiferenciaContador($ainpf,$ainpi);
        			$vchinp   = $vchinp   + DiferenciaContador($vinpf,$vinpi);	
        			$aftout   = $aftout   + DiferenciaContador($aoutf,$aouti);
        			$vchout   = $vchout   + DiferenciaContador($voutf,$vouti);								
        			$puerta   = $puerta   + DiferenciaContador($ptaf,$ptai);
        			$power    = $power    + DiferenciaContador($pwrf,$pwri);
        			$games    = $games    + DiferenciaContador($gmsf,$gmsi);			
        			
        			$contafinmenor = IsContadorFinalMenor($inpf,$inpi);
        			if(!$contafinmenor) $contafinmenor = IsContadorFinalMenor($outf,$outi);
        			if(!$contafinmenor) $contafinmenor = IsContadorFinalMenor($jckf,$jcki);
        			if(!$contafinmenor) $contafinmenor = IsContadorFinalMenor($prmf,$prmi);
        			if(!$contafinmenor) $contafinmenor = IsContadorFinalMenor($bllf,$blli);
        			
        			if(!$haycontadorfinmenor) $haycontadorfinmenor = $contafinmenor;
        		}
        		
        		#0: Full.               Podría ser 0x10 si no llega 0x2D. Si llega 0x2D prima este
        		#3: No Handpay.         Calcula premio en 0x10
        		#4: No Cancel Credit.   Ignora 0x10 de la máquina y lo hace igual a 0x2D (En Vr 5 en caja no hace nada solo afecta calculo en electronicos)
        		#5: Handpay $0.         Ignora 0x2D de la máquina calcula premios con 0x10
        		
        		$pagomanual = ($item['tito'] || $item['aft'] || ($handpay>0 && $item['alarmapesca'] != 5) ? $handpay : $premio);
                $pagos      = ($item['alarmapesca'] == 4 ? $handpay : $premio); #Podria dejarlo solo $premio ya que Kassiuss6.2 hace 0x10 = 0x2D
                    
        		$ingresos = $billete + $vchinp  + $aftinp;
        		$neto     = ($input - $output - $jackpot);
        		$bruto    = (($input - $output)+ $pagos);				   
        		$ptje     = ($inpf!=0 ? (($outf+$jckf)/$inpf) *100 : 0 );
        		
        		#Alertas
        		if(!$monedero) $difbrutobil = abs($bruto - $ingresos); 
        		if(( ($bruto < 0 && !$monedero) || ($bruto < -500000 && $monedero) || $difbrutobil > 500000 || (($bruto >= 5000000 && $bruto <= 20000000) && $neto>=2000000) || $bruto > 20000000 ) && $isInforme1Dia) { $alertabruto = true; $ab = true; }
        		if(($input>=80000000 || $output>=80000000 || $jackpot>=80000000) && $isInforme1Dia ) { $inpoutalto=true; $ab = true; }
        		if( $neto<=-15000000 && $isInforme1Dia ) { 
        		    $netonegativoalto=true; 
        		    if(!$haynetonegativoalto)  $haynetonegativoalto = true;
        		}
        		if($bruto == 0 && $ingresos == 0) $maquinassindatos =  $maquinassindatos + 1;
        		
        		#Totales Generales
        		$TotalI  = $TotalI+$input;       $TotalO=$TotalO+$output;       $TotalJ=$TotalJ+$jackpot;       $TotalBl=$TotalBl+$billete;     $TotalPr=$TotalPr+$premio;
        		$TotalAI = $TotalAI + $aftinp;   $TotalTI = $TotalTI + $vchinp; $TotalAO = $TotalAO + $aftout;  $TotalTO = $TotalTO + $vchout; 
        		$TotalIN = $TotalIN + $ingresos; $TotalPG = $TotalPG + $pagos;  $TotalB=$TotalB+$bruto;         $TotalN=$TotalN+$neto; 
        
                if($nameZona != ""){
                    if($lastZona != $nameZona){
                        if( $lastZona != "" ) {
                            
                            $tr = '
                            <tr class="gr">
                                <td colspan="2">&nbsp;'.$lastZona.'</td> 
                    			<td class="txr">'.NumberFormat($inputZona).'</td>
                    			<td class="txr">'.NumberFormat($outputZona).'</td>
                    			<td class="txr">'.MoneyFormat($jackpotZona).'</td>
                    			<td class="txr">'.MoneyFormat($pagosZona).'</td>
                    			<td class="txr">'.MoneyFormat($ingresosZona).'</td>							
                    			<td class="txr"<span class="'.(($brutoZona<0 ? "txdn" : "txdr")).'">'.MoneyFormat($brutoZona).'</span></td>
                    		    <td class="txr"><span class="'.(($netoZona <0 ? "txdn" : "txsc")).'">'.MoneyFormat($netoZona).'</span></td>
                    			<td></td>
                    			<td></td>
                    			<td></td>
                    			<td></td>
                    			<td></td>
                            </tr>'.$tr;
                            $tbody = $tbody.$tr;
                            
    						$trpdf  =' ;'.
    							  $lastZona.';'.
    							  NumberFormat($inputZona).';'.
    							  NumberFormat($outputZona).';'.
    							  MoneyFormat($jackpotZona).';'.
    							  MoneyFormat($pagosZona).';'.
    							  MoneyFormat($ingresosZona).';'.
    							  MoneyFormat($brutoZona ).';'.
    							  MoneyFormat($netoZona).';'.
    							  ' ; ;'.chr(13).chr(10).$trpdf;
    						$pdfConteo = $pdfConteo.$trpdf;    
    					
                        	$billeteZona = 0; $brutoZona = 0; $premioZona = 0; $jackpotZona = 0; $netoZona = 0; $inputZona = 0; $outputZona = 0; 
                        	$aftinpZona =0;   $aftoutZona=0;  $vchinpZona=0;  $vchoutZona=0;   $ingresosZona=0;  $pagosZona=0;                   
                        	$tr= ""; $trpdf = "";
                        }
                        $lastZona = $nameZona;
                        $z = $z+1;
                    }
        		} else { 
        		    $tbody = $tbody.$tr;
        		    $pdfConteo   = $pdfConteo.$trpdf;
        		    $tr    = "";  
        		    $trpdf = "";
        		}   
        	
               $tr.= '
        		<tr class="'.$row.'">
                    <td class="txl"><span class="'.( $ft ? "txdn" : ($netonegativoalto || $contafinmenor ? "txdr" : ($ab ? "txsc" : "txwn" ) ) ).'">'.substr('000'.$item["nummaq"],-4).'</span></td>
        			<td '.($colj && $item["enproduccion"] == 0 ? 'class="txdn"' : '' ).'>&nbsp;'.substr($item["marca"],0,7).' - '.substr($item["modelo"],0,7).'</td>
        			<td class="txr">'.NumberFormat($input).'</td>
        			<td class="txr">'.NumberFormat($output).'</td>
        			<td class="txr">'.MoneyFormat($jackpot).'</td>
        			<td class="txr">'.MoneyFormat($pagos).'</td>
        			<td class="txr">'.MoneyFormat($ingresos).'</td>							
        			<td class="txr"><span class="'.(($bruto<0 ? "txdn" : "txdr")).'">'.MoneyFormat($bruto).'</span></td>
        		    <td class="txr"><span class="'.(($neto <0 ? "txdn" : "txsc")).'">'.MoneyFormat($neto).'</span></td>
        			<td class="txr">'.NumberFormat($games).'</td>
        			<td class="txc">'.round($ptje,2).'%</td>
        			<td class="txr">'.$puerta.'</td>
        			<td class="txr">'.$power.'</td>		    
        			<td class="txc '.($colj ? '' : 'txdn').'">'.($colj ? 'SI' : '<b>NO<b>').'</td>		    
        		</tr>';
    
        		#Totales Zona
        		$inputZona   = $inputZona + $input;
        		$outputZona  = $outputZona + $output;
        		$premioZona  = $premioZona + $premio;
        		$jackpotZona = $jackpotZona + $jackpot;
        		$billeteZona = $billeteZona + $billete;
        		$aftinpZona  = $aftinpZona + $aftinp;
        		$aftoutZona  = $aftoutZona + $aftout;
        		$vchinpZona  = $vchinpZona  + $vchinp;
        		$vchoutZona  = $vchoutZona + $vchout;					
        		$netoZona    = $netoZona + $neto;
        		$brutoZona   = $brutoZona + $bruto;
        		$ingresosZona= $ingresosZona + $ingresos;
        		$pagosZona   = $pagosZona + $pagos;        
        
                $fila=$fila+1;
        		$ft              = false;
        		$ab              = false;
        		$contafinmenor   = false;
        		$netonegativoalto= false;
        		
        		/* Ini Para construir Pdf adjunto al mail */
    			$trpdf.=$item["nummaq"].';'.
    				  substr($item['marca'],0,6).' '.substr($item['modelo'],0,6).';'.
    				  NumberFormat($input).';'.
    				  NumberFormat($output).';'.
    				  MoneyFormat($jackpot).';'.
    				  MoneyFormat($pagos).';'.
    		    	  MoneyFormat($ingresos).';'.
    				  MoneyFormat($bruto).';'.
    				  MoneyFormat($neto).';'.
    				  $puerta.';'.
    				  $power.';'.chr(13).chr(10);   
    				  
    			$pdfContadores .= ' '.$item["nummaq"].';'.	
    				 strtoupper($item['juego']).';'.
    				 $item['inpf']/$item['denominacion'].';'.
    				 $item['outf']/$item['denominacion'].';'.
    				 $item['jckf']/$item['denominacion'].';'.
    				 $item['prmf']/$item['denominacion'].';'.
    				 $item['bllf']/$item['denominacion'].';'.
    				 $item['ptaf'].';'.
    				 $item['pwrf'].';'.chr(13).chr(10);   
    			$contaRegs = $contaRegs+1;	 
    			/* Fin Para construir Pdf adjunto al mail*/
    			
        	}mysqli_free_result($rsDocs );
        
            if( $nameZona != "" ) {
                $tr= '
                <tr class="gr">
                    <td colspan="2">&nbsp;'.$lastZona.'</td> 
        			<td class="txr">'.NumberFormat($inputZona).'</td>
        			<td class="txr">'.NumberFormat($outputZona).'</td>
        			<td class="txr">'.MoneyFormat($jackpotZona).'</td>
        			<td class="txr">'.MoneyFormat($pagosZona).'</td>
        			<td class="txr">'.MoneyFormat($ingresosZona).'</td>							
        			<td class="txr"><span class="'.(($brutoZona<0 ? "txdn" : "txdr")).'">'.MoneyFormat($brutoZona).'</span></td>
        		    <td class="txr"><span class="'.(($netoZona <0 ? "txdn" : "txsc")).'">'.MoneyFormat($netoZona).'</span></td>
        			<td></td>
        			<td></td>
        			<td></td>
        			<td></td>
        			<td></td>
                </tr>'.$tr;
                $tbody = $tbody.$tr;
    
    			$trpdf  =' ;'.
    				  $lastZona.';'.
    				  NumberFormat($inputZona).';'.
    				  NumberFormat($outputZona).';'.
    				  MoneyFormat($jackpotZona).';'.
    				  MoneyFormat($pagosZona).';'.
    				  MoneyFormat($ingresosZona).';'.
    				  MoneyFormat($brutoZona ).';'.
    				  MoneyFormat($netoZona).';'.
    				  ' ; ;'.chr(13).chr(10).$trpdf;
    			$pdfConteo = $pdfConteo.$trpdf; 
    			
    			$z = $z+1;
            } else {
                $tbody = $tbody.$tr;
                $pdfConteo = $pdfConteo.$trpdf; 
            }
            
        	$tfoot = '
            <tr class="tfoot">
                <th colspan="2" class="txc">'.substr('00'.($fila-1),-3).' Maquinas</th> 
    			<th class="txr">&nbsp;'.NumberFormat($TotalI).'</th>
    			<th class="txr">&nbsp;'.NumberFormat($TotalO).'</th>
    			<th class="txr">&nbsp;'.MoneyFormat($TotalJ).'</th>
    			<th class="txr">&nbsp;'.MoneyFormat($TotalPG).'</th>
    			<th class="txr">&nbsp;'.MoneyFormat($TotalIN).'</th>							
    			<th class="txr"><span class="'.(($TotalB<0 ? "txdn" : "txdr")).'">&nbsp;'.MoneyFormat($TotalB).'</span></th>
    		    <th class="txr"><span class="'.(($TotalN <0 ? "txdn" : "txsc")).'">&nbsp;'.MoneyFormat($TotalN).'</span></th>
    			<th></th>
    			<th></th>
    			<th></th>
    			<th></th>		
    			<th></th>
            </tr>';     
            
    		$trpdf  =' ;'.
    			  substr('00'.($fila-1),-3).' Maquinas;'.
    			  NumberFormat($TotalI).';'.
    			  NumberFormat($TotalO).';'.
    			  MoneyFormat($TotalJ).';'.
    			  MoneyFormat($TotalPG).';'.
    			  MoneyFormat($TotalIN).';'.
    			  MoneyFormat($TotalB ).';'.
    			  MoneyFormat($TotalN).';'.
    			  ' ; ;'.chr(13).chr(10);
    		$pdfConteo = $pdfConteo.$trpdf;  
    		
            #Totales final caja
            $prg=0; $bonoA=0; $bonoT=0; $gasto=0; $tickets=0; $datafono = 0; $fila = 1;
        
            #Pagos Progresivo
            $SQL= "SELECT SUM(valor) AS valor
                   FROM   contadoresprg b 
            	   WHERE  fecha BETWEEN '$ini' AND '$fin' ".$where ." AND ticketsolojugar=0"; 
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Progresivo] ".mysqli_error($KASSIUSS));		
            if(isset($rs2) && mysqli_num_rows($rs2)>0){ 
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
            	$prg = $reg["valor"];
            	if($prg > 0){
            		$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            		$tcaja .= '
            		<tr class="totales-caja '.$row.'">
            			<td colspan="6" class="bdl"></td>
            			<td colspan="2" class="txdr"><b>&nbsp;- Progresivo</b></td>
            			<td class="txr">'.MoneyFormat($prg).'&nbsp;</td>
            			<td colspan="5" class="bdr"></td>
            		</tr>';  
            		$pdfConteo .= '- Progresivo: ;'.MoneyFormat($prg).' ; ;'.chr(13).chr(10);
            	}
            }mysqli_free_result($rs2);
            
            #Bonos Aft no canjeables conumidos 
            $SQL =  "SELECT SUM(IF(clase=0,restricted,0)) - SUM(IF(clase=128,restricted,0)) AS bonos 
                     FROM   transaccionesdinero b
                     WHERE  fecha BETWEEN '$ini' AND '$fin' AND (clase=0 OR clase=128 ) ".$where;
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Bonos Aft] ".mysqli_error($KASSIUSS));	                
            if(isset($rs2) && mysqli_num_rows($rs2)>0) {
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
            	$bnoA = $reg["bonos"];
            	if($bnoA > 0){
            		$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            		$tcaja .= '
            		<tr class="totales-caja '.$row.'">
            			<td colspan="6" class="bdl"></td>
            			<td colspan="2" class="txdr"><b>&nbsp;- Bonos Aft</b></td>
            			<td class="txr">'.MoneyFormat($bnoA).'&nbsp;</td>
            			<td colspan="5" class="bdr"></td>
            		</tr>';  
            		$pdfConteo .= '- Bonos Aft: ;'.MoneyFormat($bnoA).' ; ;'.chr(13).chr(10);
            	}
            }mysqli_free_result($rs2);	
            	
            #Bonos Tito no canjeables consumidos
            $SQL =  "SELECT (SUM(tckin) - SUM(tckout)) AS bonos 
                     FROM  ( (SELECT 0 AS tckin, SUM(valor) AS tckout FROM tickets b 
                              WHERE  fecha BETWEEN '$ini' AND '$fin' ".$where." AND tipo>=1 AND serie IS NOT NULL) UNION 
                             (SELECT SUM(valor) AS tckin, 0 AS tckout FROM ticketsredimidos b, tickets t 
                              WHERE  b.fecha BETWEEN '$ini' AND '$fin' ".$where." AND t.validationnumber = b.validationnumber AND b.sala=t.sala AND t.tipo>=1) ) d ";
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Bonos Tito] ".mysqli_error($KASSIUSS));	                
            if(isset($rs2) && mysqli_num_rows($rs2)>0) {
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
            	$bnoT = $reg["bonos"];
            	if($bnoT > 0){
            		$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            		$tcaja .= '
            		<tr class="totales-caja '.$row.'">
            			<td colspan="6" class="bdl"></td>
            			<td colspan="2" class="txdr"><b>&nbsp;- Bonos Tito</b></td>
            			<td class="txr">'.MoneyFormat($bnoT).'&nbsp;</td>
            			<td colspan="5" class="bdr"></td>
            		</tr>';  
            		$pdfConteo .= '- Bonos Tito: ;'.MoneyFormat($bnoT).' ; ;'.chr(13).chr(10);
            	}
            }mysqli_free_result($rs2);	
            
            #Gastos
            $SQL= "SELECT SUM(valor) AS valor FROM  gastos b WHERE  b.fecha BETWEEN '$ini' AND '$fin' ".$where;						
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Gastos] ".mysqli_error($KASSIUSS));	
            if(isset($rs2) && mysqli_num_rows($rs2)>0) {
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
            	$gasto = $reg["valor"];
            	if($gasto > 0){
            		$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            		$tcaja .= '
            		<tr class="totales-caja '.$row.'">
            			<td colspan="6" class="bdl"></td>
            			<td colspan="2" class="txdr"><b>&nbsp;- Gastos</b></td>
            			<td class="txr">'.MoneyFormat($gasto).'&nbsp;</td>
            			<td colspan="5" class="bdr"></td>
            		</tr>';  
            		$pdfConteo .= '- Gastos: ;'.MoneyFormat($gasto).' ; ;'.chr(13).chr(10);
            	}
            }mysqli_free_result($rs2);	
            
            #Neto
            if($prg + $gasto + $bnoA + $bnoT > 0){
            	$TotalN = $TotalN-$prg-$gasto-$bnoA-$bnoT;
            	$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            	$tcaja .= '
            	<tr class="totales-caja '.$row.'">
            		<td colspan="6" class="bdl"></td>
            		<td colspan="2" class="txdr"><b>&nbsp;= Total Neto</b></td>
            		<td class="txr"><span class="'.($TotalN <0 ? "txdn" : "").'">'.MoneyFormat($TotalN).'&nbsp;</span></td>
            		<td colspan="5" class="bdr"></td>
            	</tr>';   	
            	$pdfConteo .= '= Total Neto: ;'.MoneyFormat($TotalN).' ; ;'.chr(13).chr(10);
            } 
            
            #Ganancia ocasional tickets expirados
            $SQL = "SELECT SUM(valor) AS tickets FROM tickets b
                    WHERE  tipo=0 AND redimido = 0 AND DATE_ADD(fecha, INTERVAL expira DAY) < '$expiraTicket'  AND (caducado = 0 OR (caducado=1 AND fechacaduca BETWEEN '$ini' AND '$fin')) ".$where;
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Tickets Expirados] ".mysqli_error($KASSIUSS));	
            if(isset($rs2) && mysqli_num_rows($rs2)>0) {
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
                $tickets = $reg["tickets"];
                if($tickets > 0){
            		$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            		$tcaja .= '
            		<tr class="totales-caja '.$row.'">
            			<td colspan="6" class="bdl"></td>
            			<td colspan="2" class="txdr"><b>&nbsp;+ Tickets Expirados</b></td>
            			<td class="txr">'.MoneyFormat($tickets).'&nbsp;</td>
            			<td colspan="5" class="bdr"></td>
            		</tr>'; 
            		$pdfConteo .= '+ Tickets Expirados: ;'.MoneyFormat($tickets).' ; ;'.chr(13).chr(10);
                }
            }mysqli_free_result($rs2);	
            
            #Gan Neto (+ Ganancia ocasional)
            if($TotalN != $TotalN + $tickets){
            	$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            	$tcaja .= '
            	<tr class="totales-caja '.$row.'">
            		<td colspan="6" class="bdl"></td>
            		<td colspan="2" class="txdr"><b>&nbsp;= Gran Neto</b></td>
            		<td class="txr"><span class="'.($TotalN + $tickets <0 ? "txdn" : "").'">'.MoneyFormat($TotalN + $tickets).'</span></td>
            		<td colspan="5" class="bdr"></td>
            	</tr>';   
            	$pdfConteo .= '= Gran Neto: ;'.MoneyFormat($TotalN + $tickets).' ; ;'.chr(13).chr(10);
            } 
            
            #Datafono
            $SQL = "SELECT SUM(sol) AS datafono FROM depositosretiros b 
                    WHERE  fecha BETWEEN '$ini' AND '$fin' AND cajabvda = -3 ".$where;  
            $rs2 = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Datafono] ".mysqli_error($KASSIUSS));
            if(isset($rs2) && mysqli_num_rows($rs2)>0) {
                $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);		
                if($reg["datafono"] > 0) $datafono = $reg["datafono"];
            	$row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            	$tcaja .= '
            	<tr class="totales-caja '.$row.'">
            		<td colspan="6" class="bdl"></td>
            		<td colspan="2" class="txdr"><b>&nbsp;- Datafono</b></td>
            		<td class="txr">'.MoneyFormat($datafono).'&nbsp;</td>
            		<td colspan="5" class="bdr"></td>
            	</tr>';    	
            	$pdfConteo .= '- Datafono: ;'.MoneyFormat($datafono).' ; ;'.chr(13).chr(10);
            }
            
            #A consignar
            $row = ($fila % 2 == 0 ? "" : "odd"); $fila= $fila+1;
            $tcaja .= '
            <tr class="totales-caja '.$row.'" >
            	<td colspan="6" class="bdl"></td>
            	<td colspan="2" class="txdr"><b>&nbsp;= A Consignar</b></td>
            	<td class="txr"><span class="'.($TotalN + $tickets - $datafono <0 ? "txdn" : "").'">'.MoneyFormat($TotalN + $tickets - $datafono).'&nbsp;</span></td>
            	<td colspan="5" class="bdr"></td>
            </tr>';    	
            $pdfConteo .= '= A Consignar: ;'.MoneyFormat($TotalN + $tickets - $datafono).' ; ;'.chr(13).chr(10);
            
            #Para total lineas en pdf
            $totalRegs = $totalRegs + $fila + $z; 
            
            $table = '
            <table>'.
                $thead.'
                <tbody>'.
                    $tbody.
                    $tfoot.
                    $tcaja.'
                </tbody>
            </table>'; 
            
            if($maquinassindatos >= 5 ) $estado = ($maquinassindatos >=62 ? 62 : $maquinassindatos);
            
            if($hayNoProduccion)  $estado = $estado + 65;
            
            # ------------------ Ini Adicional en esta Interfase: Adiciona $cliente a name file  -------------------#
            $conteo     = fopen("querys/files/conteo".$cliente.$sala.".txt", "w");      fwrite($conteo, $pdfConteo);            fclose($conteo);
            $contadores = fopen("querys/files/contadores".$cliente.$sala.".txt", "w");  fwrite($contadores, $pdfContadores);    fclose($contadores);        
            
        } else {
    
            $estado = 64;
    
        }
    
        echo $name.': <br>';
        
        #Generación Mail - Pdf
        if($totalRegs>0){
            
            #Crear Pdf para adjuntar a mail
        	ob_end_clean();
        	require_once('mylibs/fpdf.php');
        	
            class PDF extends FPDF
        	{
        		//Cargar los datos
        		function LoadData($file)
        		{
        			//Leer las lineas del fichero
        			$lines=file($file);
        			$data=array();
        			foreach($lines as $line)
        				$data[]=explode(';',chop($line));
        			return $data;
        		}
        	    
        	    function SetTitulosTabla($header){
        	        global $w;
        	        
        			$this->SetFillColor(85,85,85);
        			$this->SetTextColor(255);
        			$this->SetDrawColor(221,221,221);
        			$this->SetLineWidth(.2);
        			$this->SetFont('Arial','B',11);
        			for($i=0;$i<count($header);$i++){
        				$this->Cell($w[$i],8,$header[$i],1,0,'C',1);
        			}    			    
        			$this->Ln();	        
        	    }
        	    
        	    function SetPiePagina($typePage){
        	        global $page,$totalpages;
        	        
                    $this->SetTextColor(170,170,170);
                    $this->SetFont('Arial','',7);
                    $this->SetY(257);
                    $this->Cell(105,2,'Sistema Kassiuss por TD Creativos S.A.S NIT 900.206.656-1','',0,'L',0);	
                    $this->Cell(100,2,'Hoja '.$typePage.' '.$page.' de '.$totalpages,'',0,'R',0);	
        	    }
        	    
        		#Tabla Conteo Electronicos
        		function ConteoTable($header,$data)
        		{
        			global $page,$totalpages,$w;
        			
        			$line = 5;
        			$totalesCaja = false;
        			
        		    $this->SetTitulosTabla($header);
        			
        			//Datos
        			$fill=true; $borde= 'LR';
        			foreach($data as $row)
        			{	
            			if($line == 40){
            			    
            			    $this->SetPiePagina('Conteo');
            			    
                        	$this->AddPage('P','Letter');
                        	$this->SetLeftMargin(5);
                        	$this->SetTopMargin(9);
        
            			    $page = $page + 1;
                	        
                	        $this->SetTitulosTabla($header);
                			
                			$line = 0;
            			}    
        				
            			//Restauración de colores y fuentes
            			$this->SetFillColor(255,255,255);
            			$this->SetTextColor(120,120,120);
            			$this->SetDrawColor(221,221,221);
            			$this->SetLineWidth(.2);
            			$this->SetFont('Arial','',8);
            			
            			#Totales Zonas y/o Periodo
            			if(trim($row[0]) == '') {
        				    $this->SetFont('Arial','B',8); 
        				    $this->SetFillColor(235,235,235);
        				    $this->SetTextColor(0,0,0);
        				
        				#Totales Final Caja    
        				}elseif((substr($row[0],0,1) == "-" || substr($row[0],0,1) == "+") && !$totalesCaja) {
        				    $totalesCaja = true;    
        				}
        				
        				if(!$totalesCaja){
        				    
            				$this->Cell($w[0],6,$row[0],$borde,0,'C',$fill);
            				$this->Cell($w[1],6,$row[1],$borde,0,'L',$fill);
            				$this->Cell($w[2],6,$row[2],$borde,0,'R',$fill);
            				$this->Cell($w[3],6,$row[3],$borde,0,'R',$fill);
            				$this->Cell($w[4],6,$row[4],$borde,0,'R',$fill);
            				$this->Cell($w[5],6,$row[5],$borde,0,'R',$fill);
            				$this->Cell($w[6],6,$row[6],$borde,0,'R',$fill);
            				
            				$this->SetTextColor(0,0,0);
            				$this->Cell($w[7],6,$row[7],$borde,0,'R',$fill);
            				if(substr($row[7],0,2)=='$-') $this->SetTextColor(255,0,0);
            				
            				$this->SetTextColor(71,164,71);
            				if(substr($row[8],0,2)=='$-') $this->SetTextColor(255,0,0); 
            				$this->Cell($w[8],6,$row[8],$borde,0,'R',$fill);
            				
            				$this->SetTextColor(120,120,120);
                            $this->Cell($w[9],6,$row[9],$borde,0,'R',$fill);
            				$this->Cell($w[10],6,$row[10],$borde,0,'R',$fill);
                        
                        #Totales Final Caja
        				} else {
        				    
        				    $this->SetTextColor(0,0,0);
        				    $this->SetFont('Arial','B',8);
            				$this->Cell(169,6,$row[0],$borde,0,'R',$fill);
            				
            				$this->SetTextColor(120,120,120);
            				$this->SetFont('Arial','',8);
            				if(substr($row[0],0,1)=='=')  $this->SetTextColor(0,0,0); 
            				if(substr($row[1],0,2)=='$-') $this->SetTextColor(255,0,0); 
            				$this->Cell($w[8],6,$row[1],$borde,0,'R',$fill);
        
                            $this->Cell($w[9],6,$row[2],$borde,0,'R',$fill);
            				$this->Cell($w[10],6,$row[3],$borde,0,'R',$fill);
        				}
        				
        				$this->Ln();
        				
        				$borde=1;
        				$line=$line+1;
        			}
        			$this->Cell(array_sum($w),0,'','T');
        		}
        		
        		#Tabla COntadores
        		function ContadoresTable($header,$data)
        		{
        			global $page,$totalpages,$w;
        			
        			$line = 5;
        			$this->SetTitulosTabla($header);
        
        			//Datos
        			$fill=true; $borde= 'LR';
        			foreach($data as $row)
        			{
            			if($line == 40){
            			    
            			    $this->SetPiePagina('Contadores');
            			    
                        	$this->AddPage('P','Letter');
                        	$this->SetLeftMargin(5);
                        	$this->SetTopMargin(9);
        
            			    $page = $page + 1;
                	        
                	        $this->SetTitulosTabla($header);
                			
                			$line = 0;
            			}  
            			
            			//Restauración de colores y fuentes
            			$this->SetFillColor(255,255,255);
            			$this->SetTextColor(120,120,120);
            			$this->SetDrawColor(221,221,221);
            			$this->SetLineWidth(.2);
            			$this->SetFont('Arial','',7);
            			
        				$this->Cell($w[0],6,$row[0],$borde,0,'L',$fill);
        				$this->Cell($w[1],6,$row[1],$borde,0,'L',$fill);
        				$this->Cell($w[2],6,$row[2],$borde,0,'R',$fill);
        				$this->Cell($w[3],6,$row[3],$borde,0,'R',$fill);
        				$this->Cell($w[4],6,$row[4],$borde,0,'R',$fill);
        				$this->Cell($w[5],6,$row[5],$borde,0,'R',$fill);
        				$this->Cell($w[6],6,$row[6],$borde,0,'R',$fill);	
        				$this->Cell($w[7],6,$row[7],$borde,0,'R',$fill);
        				$this->Cell($w[8],6,$row[8],$borde,0,'R',$fill); 
        				$this->Ln();
        				
        				$borde=1;
        				$line=$line+1;
        			}
        			$this->Cell(array_sum($w),0,'','T');
        		}		
        	}	 
        
        	$pdf=new PDF();
        	
        	#Conteo
        	$page = 1;
            if($totalRegs<=35) {
                $totalpages = 1;    
            } else {
               $totalpages = ceil(($totalRegs - 35) / 40) + 1;
            }
            
        	$pdf->SetLeftMargin(5);
        	$pdf->SetTopMargin(9);
        	$pdf->AddPage('P','Letter');
        	$pdf->SetTextColor(0,0,0);
        	$pdf->SetFont('Arial','BU',15);
        	$pdf->Cell(150,8,'CONTEO ELECTRONICOS','',0,'L',0);
        	$pdf->Ln();		
        	$pdf->Cell(150,8,$name.' '.$fcha,'',0,'L',0);	
        	$pdf->Ln();		
        	$pdf->Ln();
        	
            $w     =array(15,34,20,20,20,20,20,20,20,8,8);
            $header=array('NM','Marca','Input','Output','Jackpot','Pagos','Ingresos','Bruto','Neto','Pta','Pwr');
        		
        	$data=$pdf->LoadData('querys/files/conteo'.$cliente.$sala.'.txt');
        	$pdf->ConteoTable($header,$data);
            $pdf->SetPiePagina('Conteo');
            
            #Contadores
        	$page = 1;
            if($contaRegs<=35) {
                $totalpages = 1;    
            } else {
               $totalpages = ceil(($contaRegs - 35) / 40) + 1;
            }    
        	$pdf->SetLeftMargin(5);
        	$pdf->SetTopMargin(9);    
        	$pdf->AddPage('P','Letter');
        	$pdf->SetTextColor(0,0,0);
        	$pdf->SetFont('Arial','BU',15);
        	$pdf->Cell(150,8,'CONTADORES FINALES ','',0,'L',0);
        	$pdf->Ln();
        	$pdf->Cell(150,8,$name.' '.$fcha,'',0,'L',0);
        	$pdf->Ln();	
        	$pdf->Ln();	
        	$w     = array(15,61,19,19,19,19,19,17,17);
        	$header=array('NM','Juego','Input','Output','Jackpot','Premio','Billete','Pta','Pwr'); 
        	$data=$pdf->LoadData('querys/files/contadores'.$cliente.$sala.'.txt');
        	$pdf->ContadoresTable($header,$data);    
            $pdf->SetPiePagina('Contadores');
        
        	$pdf->Output('F','Informe Kassiuss '.$name.' '.$fcha.'.pdf');
    
            #Enviar Mail
            $html = $style.
                    '<p class="title"> '.$name.' <span>'.$fcha.'</span></p>'.
                    $table;   
            
            #Para mail cliente registrado en sala
        	$mail = new PHPMailer(true);	
        	$mail->IsHTML(true);
        	$mail->IsSMTP();
        	$mail->SMTPAuth   = true;    // enable SMTP authentication
    		$mail->SMTPSecure = 'ssl';
    		$mail->Host       = $_SESSION['host'];  
    		$mail->Port	  	  = 465;  
    		$mail->Username   = $portal.'@'.$_SESSION['dominio']; 
    		$mail->Password   = "camuslifo_9510";  
    		$mail->CharSet    = "UTF-8";
    		$mail->Body       = $html;
    		$mail->From       = $portal.'@'.$_SESSION['dominio']; 
    		$mail->FromName   = 'KASSIUSS '.strtoupper($empresa);		
    		$mail->Subject    = 'INFORME KASSIUSS '.$name.' '.$fcha;
    		
    	    try {
        	
        		do{
        			$email = trim($mails);
        			$lon   = strpos($mails, ',');
        			
        			if (!$lon){
        				$mail->AddAddress($email); 
        				echo $email." ";
        				$mails="";
        			}else{
        				$email = trim(substr($mails,0,$lon));
        				echo $email."-";
        				$mails = substr($mails,$lon+1);
        				$mail->AddAddress($email); 
        			}
        		}while($mails!='');	
        		$mail->AddAttachment('Informe Kassiuss '.$name.' '.$fcha.'.pdf');
        		
        		$mail->Send();		
        		
        		echo'<br>'.$dia.' ENVIO OK!';
                $mailOK = true;
                
        	} catch (phpmailerException $e) {
        	
        		echo "ERROR: ". $e->errorMessage(); //Pretty error messages from PHPMailer
                error_log("ErrorMail: ".$e->errorMessage());
                
        	} catch (Exception $e) {
        	
        		echo "ERROR: ". $e->getMessage(); //Boring error messages from anything else!
                error_log("ErrorMail: ".$e->getMessage());
        	}
        	
        	unlink('Informe Kassiuss '.$name.' '.$fcha.'.pdf');
        	
        } else {
            echo $dia." Día sin Info. Correo NO enviado!";
        }
     
        # ------------------ Ini Adicional en esta Interfase -------------------#
        #Correo enviado desde Portal Kassiuss
        if(!isset($_GET['fecha']) && $mailOK ){ 
            $sql     = "UPDATE salas SET mailok=1 WHERE idsala=$sala";
            $rs      = mysqli_query($KASSIUSS,$sql) or die(mysqli_error($KASSIUSS));                
        }  
        # ------------------ Fin Adicional en esta Interfase -------------------#
        
        #Informe de un día y NO es hoy
        $hayAlerta = ($hayft || $alertabruto || $inpoutalto || $haycontadorfinmenor || $haynetonegativoalto ? true: false ); 
        $notHoy    = (strtotime($finConteo) < time() ? true : false );
        
        if ( $notHoy && $isInforme1Dia ){ 
    
            $alert = 0;
            #Validar si es alerta Post-Transmision
            if($hayAlerta){
                $alert = 1;
                
                #Alerta Post-Transmision =2
                $sqlRC = "SELECT r.dia FROM radicadoscoljuegos r, salas s WHERE r.dia = '$dia' AND s.idsala = $sala AND s.idempresa = r.idempresa";
                $rsRC  = mysqli_query($KASSIUSS,$sqlRC);	
                if($rsRC){
                    if(mysqli_num_rows($rsRC)>0) {
                        $sqlDia = "SELECT * FROM conteoxdia WHERE dia = '$dia' AND idsala = $sala "; 
                        $rsDia  = mysqli_query($KASSIUSS,$sqlDia);    
                        if($rsDia){ 
                            if(mysqli_num_rows($rsDia)>0) {    
                                $reg = mysqli_fetch_array($rsDia, MYSQLI_ASSOC);
                                
                                if($TotalI != $reg["input"] || $TotalO != $reg["output"] || $TotalJ != $reg["jackpot"] || $TotalPG != $reg["pagos"] || $TotalIN != $reg["ingresos"]){
                                    $alert = 2;
                                }
                            } elseif($totalRegs> 0) { $alert = 2; }
                            mysqli_free_result($rsDia);
                        }
                    } 
                    mysqli_free_result($rsRC);
                }
            }
    
            #AlertasContadores en Tabla
            $sql = "SELECT * FROM alertascontadores WHERE sala=$sala AND dia='$dia' ORDER BY nummaq";
            $rsAlert = mysqli_query($KASSIUSS,$sql) or die("ERROR: [AlertasContadores] ".mysqli_error($KASSIUSS));	
            if($rsAlert) {
                if(mysqli_num_rows($rsAlert)>0) $estado = $estado + 128;
            }mysqli_free_result($rsAlert);
            
            #Correo por dia desde Kassiuss Cliente o Envío Diario Mail. ConteoxDia - MailSend - SalasNoNet
            if(isset($_GET['fecha'])){             
                
                if($correoAutomatico){
                    
    		        $SQL = "INSERT INTO mailsend (dia,fecha,idsala,alerta,aprobado,estado) VALUES ('".$dia."','".$fchaEnvio."',".$sala.",".$alert.",". ($hayAlerta ? 0 : 1).",".$estado.")";
    		        $rs  = mysqli_query($KASSIUSS,$SQL);
    		        
                } else {
                    
    	            $SQL = "REPLACE INTO salasnonet (dia,fecha,idsala,alerta,aprobado,estado) VALUES ('".$dia."','".$fchaEnvio."',".$sala.",".$alert.",". ($hayAlerta  ? 0 : 1).",".$estado.")";
    		        $rs  = mysqli_query($KASSIUSS,$SQL);                        
    		        
                }  
                
                #Obtengo produccion x dia
                if ( $totalRegs> 0 ){
                    $sqlDia="REPLACE INTO conteoxdia (idsala,dia,input,output,jackpot,pagos,ingresos) VALUES 
                                                     (".$sala.",'".$dia."',".Val($TotalI).",".Val($TotalO).",".Val($TotalJ).",".Val($TotalPG).",".Val($TotalIN).")"; 
                    $rsDia = mysqli_query($KASSIUSS,$sqlDia);	
                }
                
            #Correo por dia desde portal web
            } else {
                
                $SQL = "REPLACE INTO salasnonet (dia,fecha,idsala,alerta,aprobado,estado) VALUES ('".$dia."','".$fchaEnvio."',".$sala.",".$alert.",". ($hayAlerta  ? 0 : 1).",".$estado.")";
    	        $rs  = mysqli_query($KASSIUSS,$SQL);                   
            }
            
            #Correo por dia desde Kassiuss Cliente o Envío Diario Mail: Validación mail autonmatico hasta 15 días atras
            if(isset($_GET['fecha'])){     
                
                #Se envia correo desde Kassiuss Cliente o EnvioMails IniDia: Valido si NO hay correos automaticos de 15 días atras para enviar
                $ini2   = $iniConteo;
            	$dias	= (strtotime(date('Y-m-d',strtotime($ini2)))-strtotime($hoy))/86400;
            	$dias 	= abs($dias); 
            	if($dias >=1 && $dias < 2) { 
            	    DeleteSesionesExpiradas();
            	    require_once('get-top5.php'); 
            	}
        
            	if($dias<=15){
            		$dia="";
                	$diaAnterior = date('Y-m-d H:i:s', strtotime("$ini2 - 1 days")); 
            		$SQL="SELECT dia FROM mailsend WHERE dia = '".substr($diaAnterior,0,10)."' AND idsala=".$sala;
            		$rs2 = mysqli_query($KASSIUSS,$SQL);
            		if($rs2){
            		    if(mysqli_num_rows($rs2) > 0 ){
            		      $reg = mysqli_fetch_array($rs2, MYSQLI_ASSOC);
            		      $dia = $reg["dia"];
            		    } 
            		} mysqli_free_result($rs2);
                    
            		if(is_null($dia) || $dia=="0000-00-00" || $dia==""){  #No hay mail para el dia   (no abrieron o estaban sin net)  maximo hasta 15 dias sin datos 
            		    sleep(5);
            			echo "<script>window.location='conteomail.php?fecha=".$diaAnterior."&sala=".$sala.($correoAutomatico ? "" : "&noautomatico=si")."&cliente=".$cliente."';</script>";		
            		} 
            	}    
            }
        }
    
    } else {
        echo '<br>'.$name.': '.$dia.'Día inicia a las '.$horaini.'.<br>El correo ya ha sido enviado para el día '.$dia.'!';
    }
    
    CloseDataBase($KASSIUSS);
    
} else {
    echo '<br>'.$cliente.$sala.': No hay cliente definido. Correo NO enviado!';
    error_log($cliente.$sala.": No hay cliente definido. Correo NO enviado!");
}

?>
                            