<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\SMTP;

require 'mylibs/PHPMailer/src/Exception.php';
require 'mylibs/PHPMailer/src/PHPMailer.php';
require 'mylibs/PHPMailer/src/SMTP.php';

# ------------------ Ini Adicional en esta Interfase -------------------#
$sala       = (isset($_GET['sala']) ?$_GET['sala'] : 0) ;
$cliente    = (isset($_GET['cliente']) ?$_GET['cliente'] : '');
$consecutivo= (isset($_GET['consecutivo']) ?$_GET['consecutivo'] : '');
$portal     = $cliente;
# ------------------ Fin Adicional en esta Interfase -------------------#

require_once('mylibs/acceso.php');
require_once('mylibs/conexion.php'); 
require_once('mylibs/iniciosesion.php');   

$empresa        = "";

    $SQL = "SELECT  a.*,s.nombre AS sala, m.serialmqna, ma.nombre AS marca, mo.nombre AS modelo, e.nombre as empresa 
            FROM    alertas a, salas s, empresa e,  maquinas m, marcas_mqn ma, modelos_mqn mo
            WHERE   a.sala = $sala AND a.consecutivo >= $consecutivo AND s.idsala=a.sala AND s.idempresa = e.idempresa AND a.serie=m.serie AND m.modelomq = mo.idmodelo  AND mo.marcamq = ma.idmarca";
    $rsDocs = mysqli_query($KASSIUSS,$SQL) or die("ERROR: [Alertas] ".mysqli_error($KASSIUSS)); 
    if(isset($rsDocs) && $rsDocs) $totalRegs = mysqli_num_rows($rsDocs);
    
    $style ='
    <head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<style type="text/css">
			table               { border-collapse: collapse; font-family: Roboto,RobotoDraft,Helvetica,Arial,sans-serif; color: #777;}
			tr                  { height: 30px; vertical-align: middle; } 
			td, th              { border: 1px solid #ddd; padding-left: 2px; padding-right: 2px; }
			thead tr            { height: 45px; font-weight: bold; text-align: center; }
			span                { color:  #000000; }
			a                   { color:  #000000 !important; }
            p                   { font-weight: bold; font-family: Roboto,RobotoDraft,Helvetica,Arial,sans-serif; color:  #000000; font-size: small;}
            
			.thead th           { border-bottom: 4px solid #000000; color: #000000;}
			.tfoot th           { height: 35px; color:  #000000;  }
	  		.odd  td            { background-color: #f8f8f8;}
            .title span         { background-color: #383f48; color: #fff; padding: 4px 8px;  }
            .title2 span        { background-color: #d2322d; color: #fff; padding: 4px 8px;  }
            .text-left          { text-align: left; }
            .text-right         { text-align: right; }
            .text-center        { text-align: center; }
            .text-danger        { color: #f10700  !important; }
            .text-dark          { color: #000000; }
            .text-success       { color: #47A447; }
            .text-warning       { color: #ed9c28; }
            .text-info          { color: #0088cc; }
            .text-light         { color: #777;    }
        
            .totales-caja td    { border-left:  none; border-right:  none;}
            .border-left        { border-left: 1px solid #ddd  !important; }
            .border-right       { border-right: 1px solid #ddd !important; }

            .group td           { background-color: #ddd !important; font-weight: bold; color:  #000; height: 30px; }
	  	</style>
    </head>';
    
    #Inicia escritura tabla 
    $thead = '
    <thead>
    	<tr class="thead">
    		<th>&nbsp;Id Mqna&nbsp;</th>
    		<th>&nbsp;Serial&nbsp;</th>
    		<th>&nbsp;Marca&nbsp;</th>
    		<th>&nbsp;Detalle&nbsp;</th>
    		<th>&nbsp;Fecha&nbsp;</th>
    	</tr>
    </thead>';

    $fila=0; $tr = "";
        
    if($totalRegs>0) {
        
    	$fila=1;  $i=0; 
    	
    	while (($item = mysqli_fetch_array($rsDocs, MYSQLI_ASSOC))) {
    	    
    	    $i=$i+1;
            
            $row = ($fila % 2 == 0 ? "even" : "odd");
            
    	    $tr.= '
    		<tr class="'.$row.'">
                <td class="text-left"><span class="text-warning">&nbsp;'.substr('000'.$item["nummaq"],-4).'&nbsp;</span></td>
                <td>&nbsp;'.$item["serialmqna"].'&nbsp;</td>
    			<td>&nbsp;'.substr($item["marca"],0,7).' - '.substr($item["modelo"],0,7).'&nbsp;</td>
    			<td>&nbsp;'.GetDetalleAlerta($item["tipo"],$item["detalle"]).'&nbsp;</td>
    			<td>&nbsp;'.$item["fecha"].'&nbsp;</td>
    		</tr>';
            
            $name = $item["sala"];
            $empresa = $item["empresa"];
            
    	}mysqli_free_result($rsDocs);
    	
        $tbody = '<tbody>'.$tr.'</tbody>';
        $table = '
        <table>'.
            $thead.'
            <tbody>'.
                $tbody.' 
            </tbody>
        </table>'; 
    }

    $html = $style.
            '<p class="title2">&#128276; ALERTAS!! <span> '.$name.' </span></p>'.
            $table;   
    
    echo $name.'<br>';
    
    $sql     = 'SELECT su.*,p.email FROM personal p, salasxusuario su WHERE p.idpersonal=su.idpersonal AND (su.idsala = '.$sala.' OR su.idsala = 1) AND email <> "" AND MID(permisos,81,1) = "1" AND eliminado = 0 AND MID(p.usuario,1,3) <> "KS." AND p.usuario <> "KASSIUSS"';
    $rsMails = mysqli_query($KASSIUSS,$sql) or die("ERROR: [AlertasMails] ".mysqli_error($KASSIUSS));
    if(isset($rsMails) && $rsMails) $totalMails = mysqli_num_rows($rsMails);
       
    if ($totalMails>0 && $totalRegs>0) {   
        
    	$mail = new PHPMailer(true);	
    	$mail->IsHTML(true);
    	$mail->IsSMTP();
    	$mail->SMTPAuth   = true;    // enable SMTP authentication
		$mail->SMTPSecure = 'ssl';
		$mail->Host       = $_SESSION['host'];  
		$mail->Port	  	  = 465;  
		$mail->Username   = $portal.'@'.$_SESSION['dominio']; 
		$mail->Password   = "camuslifo_9510";  
		$mail->CharSet    = "UTF-8";
		$mail->Body       = $html;
		$mail->From       = $portal.'@'.$_SESSION['dominio']; 
        
    	try {
    		$mail->FromName   = 'KASSIUSS '.strtoupper($empresa);		
    		$mail->Subject    = "ALERTAS!! ".$name;

    		while (($item = mysqli_fetch_array($rsMails, MYSQLI_ASSOC))) {
    			
    			$mail->AddAddress($item["email"]); 
    			
    		}mysqli_free_result($rsMails);
    		
    		$mail->Send();		
    
    		echo 'ENVIO OK';
    
    	} catch (phpmailerException $e) {
    	
    		echo "ERROR: ". $e->errorMessage(); //Pretty error messages from PHPMailer
    	
    	} catch (Exception $e) {
    	
    		echo "ERROR: ". $e->getMessage(); //Boring error messages from anything else!
    	
    	}
    	
    } elseif ($totalRegs==0)  {
        echo "ERROR: No hay alertas recientes  para sala ".$sala;
    
    } elseif ($totalMails==0)  {
        echo "ERROR: No hay usuarios configurados para Sistema Alertas en ".$name;
    }
CloseDataBase($KASSIUSS);

?>
                            